/*
EXAMPLE 4
*/

public class example4{
	public static void main(String[] args){
		System.out.println("ASKISI 1 running");
		Circle a = new Circle(2.0,3.0,4.0);

		Circle b = new Circle(10);

		Circle c = new Circle(a);
	
		Circle d = new Circle();

		System.out.println("1ος Κύκλος" + a.x + a.y + a.r);
		System.out.println("περίμετρος:" +a.circumference());
		System.out.println("επιφάνεια:" +a.area() + "\n");

		System.out.println("2ος Κύκλος"+ b.x + b.y + b.r);
		System.out.println("περίμετρος:" +b.circumference());
		System.out.println("επιφάνεια:" +b.area());

		System.out.println("3ος Κύκλος" + c.x + c.y + c.r);
		System.out.println("περίμετρος:" +c.circumference());
		System.out.println("επιφάνεια:" +c.area() + "\n");

		System.out.println("4ος Κύκλος" + d.x + d.y + d.r);
		System.out.println("περίμετρος:" +d.circumference());
		System.out.println("επιφάνεια:" +d.area() + "\n");
		}
	}

class Circle {
	public double x,y,r;
	public Circle(double x, double y, double r) {
		this.x = x; this.y = y; this.r = r;
		}
	public Circle(double r) {x=0.0;y=0.0;this.r = r;}
	public Circle(Circle c) {x=c.x;y=c.y;r=c.r;}
	public Circle() {x=0.0;y=0.0;r =1.0;}
	public double circumference() {return 2* 3.1416*r;}

        public double area () {return 3.1416*r*r;}
	}